Class 'SimpleXMLElement' not found on puphpet PHP 5.6

Submitted by admin on Fri, 08/26/2016 - 23:32

Class 'SimpleXMLElement' not found on puphpet PHP 5.6 

 

The problem was that I was using Cent OS and in this Linux Distribution, the php-libxml package does not come as default.

I ended up generating a new machine through PuPHPet GUI and added to the System Package the following packages to be installed:

php-xml, php-simplexml

Problem solved.

For those using PHP 7 and Ubuntu, @MPS solved it by running apt-get install php7.0-xml and service apache2 restart.